Bug 461062 - Search folders no longer show related thread items
Search folders no longer show related thread items
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: F10DesktopTarget
  Show dependency treegraph
 
Reported: 2008-09-03 17:41 EDT by Jesse Keating
Modified: 2013-01-09 22:22 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 22:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 554455 None None None Never
GNOME Desktop 557348 None None None Never

  None (edit)
Description Jesse Keating 2008-09-03 17:41:03 EDT
When creating/editing search folders, one can choose to Include threads, such as All Related.  I have this set on my search folders, but I no longer see the other thread members for the messages that match my criteria.  Only the matched messages show up.  This used to work in Fedora 9.

evolution-2.23.91-1.fc10.x86_64
Comment 1 Milan Crha 2008-09-04 04:08:22 EDT
<mcrha> srag, how is it going with Search folders' option "Include threads: All Related". If I recall correctly you said it will not be supported anymore. Did anything change?
<srag> mcrha, not for 2.24.0
<mcrha> I have a report about not working in 2.23.91
* peb has quit (Remote closed the connection)
<srag> mcrha, leave it open
<mcrha> srag, really? why not?
<srag> mcrha, bug id
<mcrha> srag, it's downstream bug
<srag> mcrha, ah! ok.
<srag> mcrha, the schema doesn't yet support it.
<mcrha> schema?
<srag> I need to extend schema and have some stored procedures to thread messages in the db itself
<srag> then its easy to fetch it
<srag> mcrha, alternatively, we can hack it to fallback to old in-memory search/sort 
<mcrha> srag, bad it will not be in 2.24
<srag> mcrha, schema = sql schema for sqlite for Evo folders
<srag> mcrha, so, as  a fall back, we can make such searches to fallback on old code
<srag> but, that will be slow + memory prone
Comment 2 Matt McCutchen 2008-10-28 23:11:33 EDT
Evolution 2.24.1 supports "Include threads" by falling back to the old code.
Comment 3 Milan Crha 2008-10-31 17:02:58 EDT
Closing this then?
Comment 4 Jesse Keating 2008-10-31 18:35:53 EDT
evolution-2.24.1-2.fc10.x86_64 still shows the problem, so I don't think this shoudl be closed.
Comment 5 Matt McCutchen 2008-10-31 18:51:37 EDT
Jesse, my understanding is that this specific problem has been fixed, but Evolution 2.24.* has other severe search folder bugginess that you may be seeing.  I intend to file GNOME bugs (starting with 557348) until the search folders get completely fixed.  In the meantime, I filed bug 468950 to encourage the Fedora project to consider whether it really wants to ship such a broken version of Evolution.
Comment 6 Bug Zapper 2008-11-25 21:57:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Matt McCutchen 2009-02-01 12:27:00 EST
The search folders should be completely fixed in Evolution 2.24.4.
Comment 8 Matthew Barnes 2009-06-28 22:01:38 EDT
Closing this per comment #7.
Please reopen if this is not the case.

Note You need to log in before you can comment on or make changes to this bug.